;ASLDLIB function to create a slide library of drawings and a
;text file that can be used with SLIDLIB.EXE to create a slide
;library.

;Released into the public domain the the author, Sierra Hermitage
;
;Sierra Hermitage
;Rod Young, programmer
;140 Mesa Vista Drive
;Bishop, CA  93514
;Phone 619-387-2479 (voice)   619-387-2488 (data/fax, seldom enabled)
;E-mail hermit1@ix.netcom.com

;Intended to be used with RUN LISP to create a slide library
;of multiple drawing automatically (see RUNLISP.TXT).

;You could use a script file to create the slides, then use
;a text editor or DOS commands to create the text file BUT save
;time and order RUN LISP today and do it all with a couple of
;clicks.

;Without either using script files or RUN LISP, this program
;will just create a slide of the drawing extents, not very
;useful.

;Can be used with ABKOUT.LSP to create a slide library of all
;blocks within multiple drawings (see ABKOUT.TXT).  Again this 
;requires either a script or RUN LISP.

;The slide file will be written to the same directory as the
;drawing.  The text file will be written to the current directory
;and named SLDLIST.TXT.  Be sure to delete this file if you have
;previously run this program and don't want the previous slides
;included in the library.

;SIERRA HERMITAGE 1995

;Sierra Hermitage
;Rod Young, programmer
;140 Mesa Vista Drive
;Bishop, CA  93514
;Phone: 619-387-2479


(defun asldlib()
	(if (/= (getvar "VIEWMODE") 1)
		(progn
		(command "zoom" "e")
		(command "zoom" "0.8x")
	));end progn & if
	(setq cname(getvar "dwgname"))
;	(setq cname(substr cname 1 (-(strlen cname) 4)))
	(command "mslide" cname)
	(setq ofile(open "sldlist.txt" "a"))
	(write-line (getvar "dwgname") ofile)
	(close ofile)
	(command "qsave")
);end defun
;make this program 'load & go' - do this for all RUN LISP
;compatible programs
(asldlib)
	